Skip to main content

Get Open Positions

HTTP Request

  • GET /api/v1/private/position/open_positions

Required Permission: View Order Details

Request Parameters

ParameterTypeRequiredDescription
symbolstringfalseContract
positionIdlongfalsePosition ID

Response Parameters

ParameterTypeDescription
positionIdlongPosition id
symbolstringContract
holdVoldecimalPosition size
positionTypeintPosition type, 1 long 2 short
openTypeintOpen type, 1 isolated 2 cross
stateintPosition status,1 holding 2 system-held 3 closed
frozenVoldecimalFrozen volume
closeVoldecimalClosed volume
holdAvgPricedecimalAverage position price
holdAvgPriceFullyScaledecimalFull precision position price
closeAvgPricedecimalAverage closing price
openAvgPricedecimalAverage opening price
openAvgPriceFullyScaledecimalFull precision opening price
liquidatePricedecimalLiquidation price in isolated mode
oimdecimalOriginal initial margin
adlLevelintADL reduction level, range 1-5; null means pending refresh. What is ADL auto-deleveraging?
imdecimalInitial margin, adjustable in isolated mode to tune liquidation price
holdFeedecimalFunding fee, positive = received, negative = paid
realiseddecimalRealized PnL
leverageintLeverage
marginRatiodecimalCurrent position margin ratio
autoAddImbooleanAuto-add initial margin supported
profitRatiodecimalReturn ratio = realized PnL/initial margin
newOpenAvgPricedecimalAverage opening price, differs from original
newCloseAvgPricedecimalAverage closing price, differs from original
closeProfitLossdecimalClose PnL (fees excluded)
feedecimalFees (excluding deductions)
totalFeedecimalAccumulated fees
createTimedateCreated time
updateTimedateUpdated time
positionDropbooleanWhether the position is an airdrop position
lowSaveTotalFeestringTotal fee saved through the low-fee benefit
feeRatesobjectFee rate range. If the maximum fee rate and minimum fee rate are the same, only one value is displayed
minnumberMinimum fee rate
maxnumberMaximum fee rate
unRealizedPnlnumberUnrealized profit and loss of the position

Response

{
"success": true,
"code": 0,
"data": [
{
"positionId": 1109973831,
"symbol": "BTC_USDT",
"positionType": 1,
"openType": 1,
"state": 1,
"holdVol": 5,
"frozenVol": 0,
"closeVol": 0,
"holdAvgPrice": 109777.5,
"holdAvgPriceFullyScale": "109777.5",
"openAvgPrice": 109777.5,
"openAvgPriceFullyScale": "109777.5",
"closeAvgPrice": 0,
"liquidatePrice": 55020.5,
"oim": 27.444375,
"im": 27.444375,
"holdFee": 0,
"realised": 0,
"leverage": 2,
"marginRatio": 0.0027,
"createTime": 1761887133854,
"updateTime": 1761887133854,
"autoAddIm": false,
"version": 1,
"profitRatio": 0,
"newOpenAvgPrice": 109777.5,
"newCloseAvgPrice": 0,
"closeProfitLoss": 0,
"fee": 0,
"deductFeeList": [],
"totalFee": 0,
"zeroSaveTotalFeeBinance": 0.0301,
"zeroTradeTotalFeeBinance": 0.0301,
"lowSaveTotalFee": 0,
"positionDrop": false,
"feeRates": {
"min": 0,
"max": 0
},
"unRealizedPnl": -0.0039
}
]
}